Subject: Re: linux-next: duplicate patches in the tip tree

From: Thomas Gleixner <[email-masked]>
Date: Mon, 09 Dec 2024 23:53:27 +0100

On Mon, Dec 09 2024 at 12:21, Suren Baghdasaryan wrote:
> On Mon, Dec 9, 2024 at 11:45 AM Andrew Morton <[email-masked]> wrote:
>> On Mon, 9 Dec 2024 12:08:42 +0100 Peter Zijlstra <[email-masked]> wrote:
>> > Why is this in -mm ?
>>
>> Because
>> https://lore.kernel.org/all/[email-masked]/T/#u
>> needs it.
>>
>> > I agreed with Suren I'd take them through
>> > tip/perf/core to go along with Andrii's uprobe patch that relies on
>> > them.
>
> Both trees now have changes depending on those patches. If we can't
> have them in both trees then I can rework my last patchset in the mm
> tree to use old seqcount code and not require those patches, but we
> will have to deal with the merge conflicts later.

Usually one tree picks the changes up into a seperate branch based on
-rc1 and declares that branch immutable by tagging it. Both trees then
can merge it into their respective branches which depend on it.

Thanks,

        tglx